# SoftBot

SoftBot基于Gitlink平台的机器人服务，旨在与为用户提供创建软件的平台，为用户提供安装软件的市场，通过webhook的方式，实现订阅平台事件，更加便捷的管理仓库与代码。

1.使用技术：

Spring Boot 2.4.4、Mysql 5.7+、Mybatis-plus、~~ElasticSearch 7.15.2~~

2.部署流程：
2.1 创建库表 （数据库使用mysql 8.0）
建表语句在resource/sql

2.2 安装java 环境 （jdk 1.8）

2.3 将系统通过maven指令 mvn package 将系统打包成jar包，使用java -jar jar包名字启动服务 启动后端口为8080

2.4 docker运行
```
# 复制配置文件
cp ./docker/.env.example ./docker/.env
# 填写配置文件
vim ./docker/.env
# 启动
../docker/start_docker_compose.sh
```

3.业务模块：

（1）用户模块
用户模块主要功能有：用户创建Bot、编辑Bot信息、安装Bot、删除Bot、上市Bot、转让Bot等
（2）市场模块
市场模块主要功能有：市场全量检索Bot、市场模糊检索Bot


启动方式：
1、安装java环境
2、安装mysql，创建库表（见resources的sql文件夹）
~~3、安装并启动elasticsearch 7.15.2~~
4、启动spring boot项目


需平台对接：
==1-Bot市场页
1.根据用户id返回用户数据

== 3-softbot注册页默认页
2. 平台支持哪些权限和webhook事件

==5-bot安装指定仓库
3.根据用户id返回用户创建的所有仓库数据
4.根据仓库id获取仓库数据
注意：
安装之后 两部分工作
一、**给安装仓库添加webhook，使得bot监听的事件发生后能够想url（bot服务器地址）发送信息；
二、**给已安装的bot相应读写权限，让它能够调用相关api完成自己的工作。

==5 bot配置页-基本信息
5.bot头像信息如何上传修改存储
6.**客户端秘钥如何通过接口获取

== 9.bot配置页
挂起：**webhook 失效   读写权限暂停  ->启用
卸载： 删除webhook  收回权限

==14.bot配置页-转让失败
7，查询用户名是否存在接口