package com.gitlink.softbot;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.retry.annotation.EnableRetry;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@MapperScan("com.gitlink.softbot.dao")
@EnableAsync
@EnableRetry
@EnableDiscoveryClient
public class SoftBotApplication {

    public static void main(String[] args) {
        SpringApplication.run(SoftBotApplication.class,args);
    }
}
