package com.gitlink.softbot.global.exception.advice;

import com.gitlink.softbot.global.exception.BotException;
import com.gitlink.softbot.global.vo.Result;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletRequest;

@RestControllerAdvice
public class GlobalExceptionAdvice {

    @ExceptionHandler(value = BotException.class)
    public Result<String> handleCouponException(
            HttpServletRequest request, BotException exception
            ){
        Result<String> response = new Result<>(500,"server error!");
        response.setData(exception.getMessage());
        response.setMessage(exception.getMessage());
        return response;
    }
}
