package com.gitlink.softbot.global.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Result<T> implements Serializable {

    private Integer code;
    private String message;
    private T data;
    public Result(Integer code,String message){
        this.code = code;
        this.message = message;
    }
    public Result build(Integer code){
        this.code = code;
        return this;
    }
    public Result build(String message){
        this.message = message;
        return this;
    }
    public Result<T> build(T t){
        this.data = t;
        return this;
    }
}
