package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MarketBotVO1 implements Serializable {

    private Integer botId;

    private String marketName;

    private String marketDesc;

    private String firstFunc;

    private String secondFunc;

    private Date marketTime;

    private String logo;

    private Integer installNum;

    private String category;

    private String marketIntro;

    private String webhook;

    private Integer developerId;

    private String developerLogin;

    private String developerName;
}
