package com.gitlink.softbot.service.user;

import com.gitlink.softbot.entity.db.Bot;
import com.gitlink.softbot.global.exception.BotException;
import com.gitlink.softbot.vo.BotInputVO;
import org.apache.commons.lang3.StringUtils;

public abstract class AbstractUserBot {

    //1.校验必填信息
    public abstract void checkInfo(BotInputVO botVO) throws BotException;

    //2.生成clientid和clientsecret
    public abstract String getClientId();
    public abstract String getClientSecret();

    //3.生成BotWeburl
    public abstract String getBotUrl(String botName);

    //4.生成Bot完整信息
    public abstract Bot shiftObject(BotInputVO botVO);

}
