package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GetInstallBotResponse implements Serializable {
    private Integer userId;
    private String login;
    private Integer botId;
    private String marketName;
    private Integer state;
    private String logo;
    private Integer isPublic;
    private Integer registerId;
    private String registerLogin;
    private String registerName;
    private Date createTime;
    private LimitVO limitVO;
    private List<Integer> storeIdList;
    private List<Integer> allStoreIdList;
}
