package com.gitlink.softbot.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LimitVO {

    /**
     * 代码权限 0：只读1：读写2:无权限
     */
    private Integer jurisDictionCode;

    /**
     * 请求权限 0：只读1：读写2:无权限
     */
    private Integer jurisDictionPr;

    /**
     * 请求权限 0：只读1：读写2:无权限
     */
    private Integer jurisDictionIssue;

    /**
     * 代码事件0，1，2，
     */
    private String eventCode;

    /**
     * 请求事件3,4,6
     */
    private String eventPr;

    /**
     * 请求事件7,8,9,10
     */
    private String eventIssue;
}
